Bug 1616425 - 7.6 Alpha - Lenovo P52 - Screen goes blank and stays blank(dies)
Summary: 7.6 Alpha - Lenovo P52 - Screen goes blank and stays blank(dies)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lyude
QA Contact: Desktop QE
Tomas Capek
URL:
Whiteboard:
Depends On:
Blocks: 1586275 1621561 1654742 1707454 1602778
TreeView+ depends on / blocked
 
Reported: 2018-08-15 20:55 UTC by Paul Gozart
Modified: 2019-08-06 12:09 UTC (History)
13 users (show)

Fixed In Version: kernel-3.10.0-1020.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:09:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:09:33 UTC

Description Paul Gozart 2018-08-15 20:55:55 UTC
Description of problem:
On a Lenovo P52 running RHEL 7.6 Alpha, when power management causes the screen to go blank, nothing will wake it up.


Version-Release number of selected component (if applicable):
RHEL 7.6 Alpha


How reproducible:
Always


Steps to Reproduce:
1. Install 7.6 Alpha on Lenovo P52.
2. Login to gnome and wait till screen saver / power management starts.


Actual results:
- Screen goes blank.
- Pressing keyboard or mouse has no effect.
- Unable to change to Virtual Keyboard.


Expected results:
- System becomes available again.


Additional info:
- See attachments
- Customer sees the following messages after SSHing in:
      Aug 14 01:58:59 localhost kernel: nouveau 0000:01:00.0: disp: 0x00005e21[2]: INIT_GENERIC_CONDITON: unknown 0x07
      Aug 14 01:59:15 localhost kernel: nouveau 0000:01:00.0: disp: 0x00006261[0]: INIT_GENERIC_CONDITON: unknown 0x07

Comment 2 Paul Gozart 2018-08-15 21:02:04 UTC
Customer says:
"With nouveau.modeset=0 screen comes back to life after blanking."

Comment 10 Benjamin Tissoires 2018-09-13 12:49:56 UTC
Apologies for the inconvenience. We won't be able to make 7.6 GA with this bug.
Moving to 7.7.

Comment 29 Rob Clark 2019-03-14 14:39:38 UTC
Should be resolved as of kernel-3.10.0-1020.el7 (at least w/ nouveau.runpm=0, which is a different bug)

Comment 31 Paul Gozart 2019-05-24 21:52:23 UTC
Customer comment below:

Tested with P52 the RHEL-7.7-20190502.1-Workstation-x86_64-dvd1.iso snapshot (kernel-3.10.0-1040.el7.x86_64.rpm).

Closing the lid, machine suspends after 20 seconds.  I tried a sudo suspend hibernate, on resume screen did hang.

Comment 32 Tomas Pelka 2019-05-27 07:23:47 UTC
(In reply to Paul Gozart from comment #31)
> Customer comment below:
> 
> Tested with P52 the RHEL-7.7-20190502.1-Workstation-x86_64-dvd1.iso snapshot
> (kernel-3.10.0-1040.el7.x86_64.rpm).
> 
> Closing the lid, machine suspends after 20 seconds.  I tried a sudo suspend
> hibernate, on resume screen did hang.

So the suspend works now? From your last comment it is not clear to me whether the resume works (in case it was suspend - to RAM) works as well or it does not only when resuming from hibernation.

Thanks
-Tom

Comment 40 errata-xmlrpc 2019-08-06 12:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2029


Note You need to log in before you can comment on or make changes to this bug.